# spacepy.empiricals.getExpectedSWTemp

`spacepy.empiricals.``getExpectedSWTemp`(velo, model='XB15', units='K')

  Return the expected solar wind temperature based on the bulk velocity

  The formulations used by this function are those given by, L87 – Lopez, R.E., J. Geophys. Res., 92, 11189-11194, 1987 BS06 – Borovsky, J.E. and J.T. Steinberg, Geophysical Monograph Series 167, 59-76, 2006 XB15 – Xu, F. and J.E. Borovsky, J. Geophys. Res., 120, 70-100, 2015

  Parameters
    velo array-like

      Array like of solar wind bulk velocity values [km/s]

    model str [optional]

      Name of model to use. Valid choices are L87, BS06 and XB15. Default is XB15

    units str [optional]

      Units for output temperature, options are eV or K. Default is Kelvin [K]

  Returns
    Texp array-like

      The expected solar wind temperature given the bulk velocity [K] or [eV]